Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update webhook subscription

PATCH/workspaces/{organizationId}/webhook-subscriptions/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
urlstring<uri>
eventsstring
secretstring
Responses
200

Webhook subscription updated

idstringrequired
organizationIdstringrequired
urlstringrequired
eventsstringrequired
hasSecretbooleanrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/webhook-subscriptions/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "events": "string",
  "secret": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "url": "string",
  "events": "string",
  "hasSecret": true,
  "createdAt": "string"
}

Was this page helpful?